Skip to main content
POST /v1/payments/void Voids the remaining amount of an original authorized payment.

Request Parameters

voidRequestId
string
required
Merchant-generated unique ID for this void request.Max length: 64 characters
paymentId
string
required
Payment ID of the original authorization to be voided.Max length: 64 characters
voidRemainingAmount
boolean
Set to true to void all remaining payment amount after completion.
voidAmount
object
Specific void payment amount. See Amount.
extendInfo
string
Extension information.Max length: 4096 characters

Response Parameters

result
object
required
Standard result object with resultCode, resultStatus, resultMessage
voidRequestId
string
Merchant’s void request ID.Max length: 64 characters
voidId
string
Wallet-generated unique void ID.Max length: 64 characters
extendInfo
string
Extension information.Max length: 4096 characters

Result Codes

resultStatusresultCodeDescription
AACCEPTED_SUCCESSAccepted successfully
SSUCCESSVoid successful
FORDER_NOT_EXISTSOrder does not exist
FORDER_STATUS_INVALIDOrder status is invalid
FORDER_IS_FROZENOrder is frozen
FORDER_UNSUPPORTED_OPERATIONOrder does not support void
FCURRENCY_NOT_SAMECurrency mismatch
FAMOUNT_EXCEEDS_LIMITPayment amount exceeds limits
FREPEAT_REQ_INCONSISTENTDuplicate request with inconsistent data
FMUTEX_OPERATION_IN_PROCESSINGAnother operation in progress
FMERCHANT_NOT_EXISTMerchant does not exist
FUSER_NOT_EXISTSUser account does not exist
FUSER_STATUS_ABNORMALUser status abnormal
FMERCHANT_STATUS_ABNORMALMerchant status abnormal
UUNKNOWN_EXCEPTIONUnknown error occurred